Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ms.security
Class PermissionID

    java.lang.Object
      |
      +--com.ms.security.PermissionID

public final class PermissionID
extends java.lang.Object

Field Summary
`static PermissionID` | `CLIENTSTORE`
`static PermissionID` | `EXEC`
`static PermissionID` | `FILEIO`
`static PermissionID` | `MULTIMEDIA`
`static PermissionID` | `NETIO`
`static PermissionID` | `PRINTING`
`static PermissionID` | `PROPERTY`
`static PermissionID` | `REFLECTION`
`static PermissionID` | `REGISTRY`
`static PermissionID` | `SECURITY`
`static PermissionID` | `SYSSTREAMS`
`static PermissionID` | `SYSTEM`
`static PermissionID` | `THREAD`
`static PermissionID` | `UI`
`static PermissionID` | `USERFILEIO`

Constructor Summary
`PermissionID(int a, java.lang.String b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM

    public static final PermissionID SYSTEM

### FILEIO

    public static final PermissionID FILEIO

### NETIO

    public static final PermissionID NETIO

### THREAD

    public static final PermissionID THREAD

### PROPERTY

    public static final PermissionID PROPERTY

### EXEC

    public static final PermissionID EXEC

### REFLECTION

    public static final PermissionID REFLECTION

### PRINTING

    public static final PermissionID PRINTING

### SECURITY

    public static final PermissionID SECURITY

### REGISTRY

    public static final PermissionID REGISTRY

### CLIENTSTORE

    public static final PermissionID CLIENTSTORE

### UI

    public static final PermissionID UI

### SYSSTREAMS

    public static final PermissionID SYSSTREAMS

### USERFILEIO

    public static final PermissionID USERFILEIO

### MULTIMEDIA

    public static final PermissionID MULTIMEDIA

Constructor Detail

### PermissionID

    public PermissionID(int a,
                        java.lang.String b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD